.f.o:
	f77 -c -I$(inc_path) $*.f

inc_path="/usr/local/netcdf-3.4/include"
lib_path="/usr/local/netcdf-3.4/lib"

write_header:\
 write_header.o write_nc_header.o write_nc_intgr_header.o\
 write_nc_attrib.o nc_errors.o strings.o
	f77 -o write_header write_header.o write_nc_header.o\
 write_nc_intgr_header.o write_nc_attrib.o nc_errors.o strings.o\
 -L$(lib_path) -lnetcdf

write_header.o:		write_header.f		id.inc
write_nc_header.o:	write_nc_header.f	id.inc	specs.inc
write_nc_intgr_header.o:write_nc_intgr_header.f	id.inc	specs.inc	name.inc
write_nc_attrib.o:	write_nc_attrib.f	id.inc	missing_values.inc
nc_errors.o:		nc_errors.f
strings.o:		strings.f
